/* Importing Fonts */
@font-face {
  font-family: "Russo_One";
  src: url("../fonts/Russo_One/RussoOne.ttf");
}

* { box-sizing: border-box; }

/* Custom Scrollbar */
::-webkit-scrollbar { width: 7px; height: 7px; }
::-webkit-scrollbar-track { background: #f1f1f1; }
::-webkit-scrollbar-thumb { background: #007c2e; border-radius: 25px; }
::-webkit-scrollbar-thumb:hover { background: #012400; }

body {
  background-color: #ecf0f1;
  min-height: 100vh;
  margin: 0;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  color: #000;
  font-family: Russo_One, sans-serif;
}

h1,
h2,
h3,
h4 {
  margin: 0;
  line-height: 1.8;
}

a {
  color: #000;
  text-decoration: none;
}

img {
  width: 100%;
  display: block;
}

.card {
  width: 350px;
  border-radius: 10px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  overflow: hidden;
}

.card-header { 
  height: 350px; 
  background-color: #000;
}

.card-header img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
}

.card-content {
  padding: 30px;
  background-color: #fff;
}

.card-title {
  min-height: 30px;
  font-size: 32px;
}

.card-subtitle {
  min-height: 25px;
  font-size: 22px;
}

.card-address {
  min-height: 20px;
  font-size: 18px;
}

.card-website {
  min-height: 20px;
  font-size: 16px;
}

.developer-info {
  max-width: 100px;
  margin: 20px auto 20px;
  text-align: center;
}

.developer-info a {
  display: block;
  /* To prevent highlight color */
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.developer-info img { pointer-events: none; }

.links-container {
  margin-top: 10px;
  /* To prevent highlight color */
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.icon-link {
  width: 40px;
  height: 40px;
  margin-right: 10px;
  border-radius: 50%;
  overflow: hidden;
  display: inline-block;
}

.icon-link img {
  pointer-events: none;
}

/* Animations */
.animated-bg {
  animation: bgPos 1s linear infinite;
  background-image: linear-gradient( to right, #f6f7f8 0%,#edeef1 10%,#f6f7f8 20%,#f6f7f8 100%);
  background-size: 200% 100%;
}

.animated-bg-text {
  width: 100%;
  height: 10px;
  border-radius: 50px;
  margin: 0;
  display: inline-block;
}

@keyframes bgPos {
  0% { background-position: 50% 0; }
  100% { background-position: -150% 0; }
}

@media screen and (max-width: 480px) {
  .wrapper {
    width: 90%;
    margin: 20px auto;
  }

  .card { width: 100%; }
  .card-content { padding: 20px; }
  .card-title { font-size: 26px; }
  .card-subtitle { font-size: 20px; }
  .card-address { font-size: 16px; }
  .card-website { font-size: 12px; }
}
